Skip to content

AdminStreamsController_export

POST
/api/admin/streams/export
curl --request POST \
--url https://api.streams.chat/api/admin/streams/export \
--header 'Content-Type: application/json' \
--data '{ "q": "example", "ownerUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "visibility": "public", "hideHome": true, "showDeleted": true, "hasAgents": true, "hasRuns": true, "minSpendUsdMicros": 1, "maxSpendUsdMicros": 1, "range": "7d", "sort": "stream", "direction": "asc", "columns": [ "stream" ] }'
Media typeapplication/json
object
q
string
<= 100 characters
ownerUserId
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
visibility
string
Allowed values: public private
hideHome
Any of:
boolean
showDeleted
Any of:
boolean
hasAgents
Any of:
boolean
hasRuns
Any of:
boolean
minSpendUsdMicros
integer
<= 9007199254740991
maxSpendUsdMicros
integer
<= 9007199254740991
range
string
default: 30d
Allowed values: 7d 30d 90d
sort
string
default: monthSpend
Allowed values: stream owner humans agents cycleRuns lifetimeSpend monthSpend lastActive
direction
string
default: desc
Allowed values: asc desc
columns
required
Array<string>
>= 1 items <= 10 items
Allowed values: stream owners humans agents cycleRuns usageTrend costTrend lifetimeSpend monthSpend lastActive